# Enumerations Reference

# Enumerations

The following enumerations are available globally.

- `IGListDiffOption`

  An option for how to do comparisons between similar objects.

  See more

  #### Declaration

  Objective-C

      enum IGListDiffOption : NSInteger {}

  Swift

      enum IGListDiffOption : Int, @unchecked Sendable

- `IGListExperiment`

  Bitmask-able options used for pre-release feature testing.

  See more

  #### Declaration

  Objective-C

      enum IGListExperiment : NSInteger {}

  Swift

      struct IGListExperiment : OptionSet, @unchecked Sendable

- `IGListAdapterUpdateType`

  The type of update that was performed by an `IGListAdapter`.

  See more

  #### Declaration

  Objective-C

      enum IGListAdapterUpdateType : NSInteger {}

  Swift

      enum IGListAdapterUpdateType : Int, @unchecked Sendable

© 2024 Instagram. All rights reserved. (Last updated: 2024-05-13)

Generated by jazzy ♪♫ v0.15.0, a Realm project.